Package org.eclipse.emf.cdo.ui

# Class CDOItemProvider.EditorRegistryListener

java.lang.Object
org.eclipse.emf.cdo.ui.CDOItemProvider.EditorRegistryListener

All Implemented Interfaces:
  `IPropertyListener`

Enclosing class:
  `CDOItemProvider`

protected static class CDOItemProvider.EditorRegistryListener extends Object implements IPropertyListener
A `listener` on the platform's `editor registry` that fires `label events` from the associated `item provider` when `element` labels need to be updated.

Since:
  4.2
Author:
  Eike Stepper

## Constructor Summary

Constructors
Constructor
Description
`EditorRegistryListener(CDOItemProvider itemProvider)`

## Method Summary

Modifier and Type
Method
Description
`CDOItemProvider`
`getItemProvider()`
`void`
`propertyChanged(Object source, int propId)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### EditorRegistryListener

public EditorRegistryListener(CDOItemProvider itemProvider)

## Method Details

### getItemProvider

public CDOItemProvider getItemProvider()

### propertyChanged

public void propertyChanged(Object source, int propId)

Specified by:
  `propertyChanged` in interface `IPropertyListener`